> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organizations

> List organizations.

Conforms to the API v3 constraints (?fields, ?paging, etc...).



## OpenAPI

````yaml /openapi-specs/timmi-project.yaml get /timmi-project/api/organizations
openapi: 3.1.0
info:
  title: Lucca Project API (not v3)
  version: '1.0'
  description: >
    Welcome on the documentation for the Lucca Project API.


    It is not conforming to the "v3 API" constraints. Main differences are:

    - All available fields are systematically returned. Fields sets may be
    differente between endpoints for resources collections and single resources.

    - Paging is controlled through the `take` and `offset` parameters.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Clients
    description: Clients the projects are serving.
  - name: Core concepts
    description: Concepts that are commonly used in the whole app.
  - name: Financials
    description: Exposes KPI for project management.
  - name: Organizations
    description: Set of legal establishments sharing the same accounting.
  - name: Project services
    description: Items of work (WBS) for a project.
  - name: Projects
    description: The main resource in Lucca Project.
paths:
  /timmi-project/api/organizations:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Organizations
      summary: List Organizations
      description: |-
        List organizations.

        Conforms to the API v3 constraints (?fields, ?paging, etc...).
      operationId: get-timmi-project-api-v4-organizations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/Organization'
            application/xml:
              schema:
                type: object
                properties: {}
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    Organization:
      title: The Organization resource
      description: >-
        An organization is a set of legal establishments that share common
        clients, projects, workforce and accounting (based on its country).
      type: object
      x-tags:
        - Organizations
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        country:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
              readOnly: true
            code:
              type: string
              minLength: 2
              maxLength: 2
              readOnly: true
            currencyId:
              $ref: '#/components/schemas/CurrencyId'
        legalEntities:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              name:
                type: string
                readOnly: true
              code:
                type: string
                readOnly: true
              countryId:
                type: integer
                readOnly: true
      required:
        - name
    CurrencyId:
      title: CurrencyId
      type: string
      enum:
        - EUR
        - USD
        - CAD
        - ...
      readOnly: true

````